- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.feeds/importPushLogs#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.feeds/importPushLogs#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.feeds/importPushLogs#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.feeds/importPushLogs#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.feeds/importPushLogs#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.feeds/importPushLogs#body.aspect)

**Full name**: projects.locations.instances.feeds.importPushLogs

Import logs coming from https push feeds. All log entries must be valid UTF-8. A single invalid event will cause the entire request to be rejected.

### HTTP request

`POST https://{endpoint}/v1/{parent}:importPushLogs`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of logs. Format: projects/{project}/locations/{location}/instances/{instance}/feeds/{feed} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "httpBody": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/HttpBody`) }, "secret": string } ``` |

| Fields ||
|---|---|
| `httpBody` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/HttpBody`)`` Required. The raw HTTP body is bound to this field. All log entries must be valid UTF-8. A single invalid event will cause the entire request to be rejected. |
| `secret` | `string` Immutable. The secret for the feed. |

### Response body

If successful, the response is a generic HTTP response whose format is defined by the method.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).